import { Injectable } from '@angular/core';
import {
  Client,
  ClientNotificationCodec,
  RxWebsocketRWC,
  RxWebsocketSubjectConfig,
  JSONClientCodec
} from '@overflow/rpc-js';
import { Subscription } from 'rxjs';

@Injectable()
export class ProbeService {
  private probeClient: Client;
  private notiSubscription: Subscription;

  public constructor() {
    const config: RxWebsocketSubjectConfig<any> = {
      url: ''
    };
    const rwc = new RxWebsocketRWC(config);
    const codec = new JSONClientCodec();
    this.probeClient = new Client(codec, rwc);
    this.notiSubscription = this.probeClient
      .notification()
      .subscribe((notiCodec: ClientNotificationCodec) => {
        console.log(notiCodec.method());
      });
  }
}
